$(function() {
    $('#fieldtypeid').change(function() {
        if (this.value == 5) {
            $("#name").closest(".field").show();
            $("#shortname").closest(".field").show();
            $('#cvfield').show();
            $("#cvadditionals").hide();
            $("#isrequired").closest(".field").show();
            $("#units").closest(".field").show();
            $('#comboholder').show();
        } else if (this.value == 8) { // пустой интервал
            $('#cvfield').hide();
            $("#cvadditionals").hide();
            $("#name").closest(".field").hide();
            $("#name").val($("#name").val() ? $("#name").val() : "HtmlElement");
            $("#shortname").closest(".field").hide();
            $("#hint").closest(".field").hide();
            $("#units").closest(".field").hide();
            $("#isrequired").closest(".field").hide();
            $("#isrequired").attr("checked", false);
            $('#comboholder').hide();
        } else if (this.value == 9) { // custom html
            $('#cvfield').hide();
            $("#name").closest(".field").hide();
            $("#name").val($("#name").val() ? $("#name").val() : "HtmlElement");
            $("#shortname").closest(".field").hide();
            $("#units").closest(".field").hide();
            $("#isrequired").closest(".field").hide();
            $("#isrequired").attr("checked", false);
            $("#cvadditionals").show();
            $('#comboholder').hide();
        } else if (this.value == 10) { //  группа элементов
            $('#isrequired').closest('.field').hide();
            $("#name").closest(".field").show();
            $("#shortname").closest(".field").show();
            $("#hint").closest(".field").show();
            $("#units").closest(".field").show();          
            $("#cvadditionals").hide();
            $('#cvfield').hide();
            $('#comboholder').hide();
        } else {
            $("#name").closest(".field").show();
            $("#shortname").closest(".field").show();
            $("#hint").closest(".field").show();
            $("#units").closest(".field").show();
            $("#isrequired").closest(".field").show();
            $("#cvadditionals").hide();
            $('#cvfield').hide();
            $('#comboholder').hide();
        }


    });
});

function afterSave() {    
    opener.loadFields(true);
}

function selectAssetFieldNameLanguage() {
    var url = 'fieldlanguage.ivp/load?table=AssetTypeFields&field=NameXml&id=' + $('#id').val();
    openDialog(url, 'selectlanguage', { width: 900, height: 650 });
    return false;
}

function selectAssetFieldShortNameLanguage() {
    var url = 'fieldlanguage.ivp/load?table=AssetTypeFields&field=ShortNameXml&id=' + $('#id').val();
    openDialog(url, 'selectlanguage', { width: 900, height: 650 });
    return false;
}

function selectAssetFieldHintLanguage() {
    var url = 'fieldlanguage.ivp/load?table=AssetTypeFields&field=HintXml&id=' + $('#id').val();
    openDialog(url, 'selectlanguage', { width: 900, height: 650 });
    return false;
}